* {
    margin: 0;
    width: 100%;
}

header {
    height: 90px;
    margin: 0 1%;
}

hr {
    border: 1px solid #00415a;
    border-radius: 7px 7px 7px 7px;
    width: 98%;
    margin: auto;
}

#logo-container {
    display: flex;
    height: 100%;
    align-items: center;

    #logo {
        width: max-content;
        img {
            width: 48px;
            margin-bottom: 3px;
        }
        p {
            text-align: center;
            font-size: 16px;
            font-family: monospace;
        }
    }    
}

.hero {
    display: flex;
    align-items: center;
    justify-content: center;    
}

.img-constraction {
    height: 75vh;
    width: 75%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.fc {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.typewriter h1 {
    max-width: fit-content;
    color: #000;
    font-family: monospace;
    font-size: 2rem;
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    border-right: .15em solid orange; /* The typwriter cursor */
    white-space: nowrap; /* Keeps the content on a single line */
    margin: 0 auto; /* Gives that scrolling effect as the typing happens */
    letter-spacing: .25em; /* Adjust as needed */
    animation: 
      typing 3.5s steps(30, end),
      blink-caret .5s step-end infinite;
  }
  
  /* The typing effect */
  @keyframes typing {
    from { width: 0 }
    to { width: 100% }
  }
  
  /* The typewriter cursor effect */
  @keyframes blink-caret {
    from, to { border-color: transparent }
    50% { border-color: orange; }
  }

@media (max-width: 450px){
    header {
        margin: 0 7px;
    }

    #logo-container {
        #logo {
            img {
                width: 42px;
            }
            p {
                font-size: 12px;
            }
        }    
    }

    .typewriter h1 {
        font-size: 16px;
    }
}